
Robotics Systems Types - Bug #448
RST Python compile time error
07/27/2011 10:35 AM - M. Goetting

Status: Resolved Start date: 07/27/2011
Priority: High Due date:
Assignee: J. Wienke % Done: 100%
Category: Estimated time: 0.00 hour
Target version:
Description

(achat[x86_64_carbon]):build> make all
[  5%] Running C++ protocol buffer compiler on /homes/mgoettin/src/rst/trunk/proto/running/example/Image.proto with root
/homes/mgoettin/src/rst/trunk, generating: /homes/mgoettin/src/rst/trunk/build/cpp/proto/running/example/Image.pb.cc
[ 11%] Running C++ protocol buffer compiler on /homes/mgoettin/src/rst/trunk/proto/rsb/xml/XOPData.proto with root
/homes/mgoettin/src/rst/trunk, generating: /homes/mgoettin/src/rst/trunk/build/cpp/proto/rsb/xml/XOPData.pb.cc
[ 17%] Running C++ protocol buffer compiler on /homes/mgoettin/src/rst/trunk/proto/rst/ViconData.proto with root
/homes/mgoettin/src/rst/trunk, generating: /homes/mgoettin/src/rst/trunk/build/cpp/proto/rst/ViconData.pb.cc
[ 23%] Running C++ protocol buffer compiler on /homes/mgoettin/src/rst/trunk/proto/rst/SoundMessage.proto with root
/homes/mgoettin/src/rst/trunk, generating: /homes/mgoettin/src/rst/trunk/build/cpp/proto/rst/SoundMessage.pb.cc
[ 29%] Running C++ protocol buffer compiler on /homes/mgoettin/src/rst/trunk/proto/rst/ImageMessage.proto with root
/homes/mgoettin/src/rst/trunk, generating: /homes/mgoettin/src/rst/trunk/build/cpp/proto/rst/ImageMessage.pb.cc
Scanning dependencies of target rst
[ 35%] Building CXX object cpp/CMakeFiles/rst.dir/proto/rsb/xml/XOPData.pb.cc.o
[ 41%] Building CXX object cpp/CMakeFiles/rst.dir/proto/rst/ViconData.pb.cc.o
[ 47%] Building CXX object cpp/CMakeFiles/rst.dir/proto/rst/SoundMessage.pb.cc.o
[ 52%] Building CXX object cpp/CMakeFiles/rst.dir/proto/rst/ImageMessage.pb.cc.o
[ 58%] Building CXX object cpp/CMakeFiles/rst.dir/proto/running/example/Image.pb.cc.o
Linking CXX shared library librst.so
[ 58%] Built target rst
Scanning dependencies of target python
[ 58%] Running Python protocol buffer compiler on /homes/mgoettin/src/rst/trunk/proto/running/example/Image.proto with root
/homes/mgoettin/src/rst/trunk, generating: /homes/mgoettin/src/rst/trunk/build/python/proto/running/example/Image_pb2.py
[ 58%] Running Python protocol buffer compiler on /homes/mgoettin/src/rst/trunk/proto/rsb/xml/XOPData.proto with root
/homes/mgoettin/src/rst/trunk, generating: /homes/mgoettin/src/rst/trunk/build/python/proto/rsb/xml/XOPData_pb2.py
[ 58%] Running Python protocol buffer compiler on /homes/mgoettin/src/rst/trunk/proto/rst/ViconData.proto with root
/homes/mgoettin/src/rst/trunk, generating: /homes/mgoettin/src/rst/trunk/build/python/proto/rst/ViconData_pb2.py
[ 58%] Running Python protocol buffer compiler on /homes/mgoettin/src/rst/trunk/proto/rst/SoundMessage.proto with root
/homes/mgoettin/src/rst/trunk, generating: /homes/mgoettin/src/rst/trunk/build/python/proto/rst/SoundMessage_pb2.py
[ 58%] Running Python protocol buffer compiler on /homes/mgoettin/src/rst/trunk/proto/rst/ImageMessage.proto with root
/homes/mgoettin/src/rst/trunk, generating: /homes/mgoettin/src/rst/trunk/build/python/proto/rst/ImageMessage_pb2.py
[ 58%] Fixing python package
make[2]: *** [python/rst/__init__.py] Error 1
make[1]: *** [python/CMakeFiles/python.dir/all] Error 2
make: *** [all] Error 2

Associated revisions
Revision ea501644 - 08/01/2011 03:07 PM - J. Wienke

Fix generation of python egg. This is much more complicated now because we have multiple folders and no more flat hierachy.
fixes #448

History
#1 - 08/01/2011 01:46 PM - J. Wienke
- Status changed from New to In Progress

#2 - 08/01/2011 03:08 PM - J. Wienke
- Status changed from In Progress to Resolved
- % Done changed from 0 to 100

Applied in changeset r27.
